<?php

$objMdPetIntRelatorioRN  = new MdPetIntRelatorioRN();
$objConsultaDTO = $objMdPetIntRelatorioRN->retornaSelectsRelatorio();

PaginaSEI::getInstance()->prepararOrdenacao($objConsultaDTO, 'ProtocoloFormatadoProcedimento', InfraDTO::$TIPO_ORDENACAO_ASC);
PaginaSEI::getInstance()->prepararPaginacao($objConsultaDTO, 200);

//Consulta
$arrObjResultDTO = $objMdPetIntRelatorioRN->listarDados($objConsultaDTO);

PaginaSEI::getInstance()->processarPaginacao($objConsultaDTO);

$numRegistros = count($arrObjResultDTO);
//Configurao da Paginao

//Tabela de resultado.
if ($numRegistros > 0) {

    $strResultado .= '<table id="tabelaIntimacaoEletronica"  width="99%" class="infraTable" summary="Intimaes Eletrnicas">';
    $strResultado .= '<caption class="infraCaption">';
    $strResultado .= PaginaSEI::getInstance()->gerarCaptionTabela('Intimaes Eletrnicas', $numRegistros);
    $strResultado .= '</caption>';

    $strResultado .= '<tr>';

    //Processo
    $strResultado .= '<th class="infraTh" width="130px">' .PaginaSEI::getInstance()->getThOrdenacao($objConsultaDTO, 'Processo', 'ProtocoloFormatadoProcedimento', $arrObjResultDTO). '</th>';

    //Documento Principal
    $strResultado .= '<th class="infraTh" width="auto">' .PaginaSEI::getInstance()->getThOrdenacao($objConsultaDTO, 'Documento Principal', 'DocumentoPrincipal', $arrObjResultDTO). '</th>';

    //Anexos
    $strResultado .= '<th class="infraTh" width="auto">' .PaginaSEI::getInstance()->getThOrdenacao($objConsultaDTO, 'Anexos', 'Anexos', $arrObjResultDTO). '</th>';

    //Destinatario
    $strResultado .= '<th class="infraTh" width="auto">' .PaginaSEI::getInstance()->getThOrdenacao($objConsultaDTO, 'Destinatrio', 'EmailContato', $arrObjResultDTO). '</th>';

    //Tipo de Intimao
    $strResultado .= '<th class="infraTh" width="auto">' .PaginaSEI::getInstance()->getThOrdenacao($objConsultaDTO, 'Tipo de Intimao', 'NomeTipoIntimacao', $arrObjResultDTO). '</th>';

    //Unidade da Intimao
    $strResultado .= '<th class="infraTh" width="auto"> '.PaginaSEI::getInstance()->getThOrdenacao($objConsultaDTO, 'Unidade Geradora', 'SiglaUnidadeIntimacao', $arrObjResultDTO).' </th>';

    //Data de Expedicao
    $strResultado .= '<th class="infraTh" width="auto">' .PaginaSEI::getInstance()->getThOrdenacao($objConsultaDTO, 'Data de Expedio', 'DataCadastro', $arrObjResultDTO). '</th>';

    //Situao
    $strResultado .= '<th class="infraTh" width="auto">' .PaginaSEI::getInstance()->getThOrdenacao($objConsultaDTO, 'Situao da Intimao', 'SituacaoIntimacao', $arrObjResultDTO).' </th>';

    //Data do Aceite
    $strResultado .= '<th class="infraTh" width="auto">' .PaginaSEI::getInstance()->getThOrdenacao($objConsultaDTO, 'Data de Cumprimento', 'DataAceite', $arrObjResultDTO). '</th>';

    $strResultado .= '<th class="infraTh" width="auto">Aes</th>';
    $strResultado .= '</tr>';


    #Linhas

    $strCssTr = '<tr class="infraTrEscura">';

    for ($i = 0; $i < $numRegistros; $i++) {

        //vars
        $strId         = $arrObjResultDTO[$i]->getNumIdMdPetIntRelDestinatario();
        $strNome       = $arrObjResultDTO[$i]->getStrProtocoloFormatadoProcedimento();
        $strCssTr      = $strCssTr == '<tr class="infraTrClara">' ? '<tr class="infraTrEscura">' : '<tr class="infraTrClara">';
        $strResultado .= $strCssTr;
        $descricaoProces = $arrObjResultDTO[$i]->getStrEspecificacaoProcedimento();

        //Href Process
        $hrefProcesso  = '<a style="font-size: 1.0em;"';
        $hrefProcesso .= 'class="processoVisualizado" onmouseover ="return infraTooltipMostrar(\''.$descricaoProces.'\',\''.$arrObjResultDTO[$i]->getStrNomeTipoProcedimento().'\')"';
        $hrefProcesso .= 'onmouseout="return infraTooltipOcultar()">';
        $hrefProcesso .=  PaginaSEI::tratarHTML($strNome);
        $hrefProcesso .= '</a>';

        //Linha Processo
        $strResultado .= '<td align="center">';
        $strResultado .= $hrefProcesso;
        $strResultado .= '</td>';

        //Linha Documento Principal
        $strResultado .= '<td>';
        $strResultado .= PaginaSEI::tratarHTML($arrObjResultDTO[$i]->getStrDocumentoPrincipal());
        $strResultado .= '</td>';

        //Linha Anexos
        $strResultado .= '<td align="center">';
        $strResultado .= PaginaSEI::tratarHTML($arrObjResultDTO[$i]->getStrAnexos());;
        $strResultado .= '</td>';


        //Href Destinatrio
        $hrefDest  = '<a class="ancoraSigla" style="font-size: 1.0em;" title="'.PaginaSEI::tratarHTML($arrObjResultDTO[$i]->getStrNomeContato()).'" >';
        $hrefDest .=  PaginaSEI::tratarHTML($arrObjResultDTO[$i]->getStrEmailContato());
        $hrefDest .= '</a>';

        //Destinatrio
        $strResultado .= '<td align="center">';
        $strResultado .=  $hrefDest;
        $strResultado .= '</td>';

        //Tipo de Intimacao
        $strResultado .= '<td>';
        $strResultado .= PaginaSEI::tratarHTML($arrObjResultDTO[$i]->getStrNomeTipoIntimacao());
        $strResultado .= '</td>';

        //Href Unidade
        $hrefUnidade  = '<a class="ancoraSigla" style="font-size: 1.0em;" title="'.$arrObjResultDTO[$i]->getStrDescricaoUnidadeIntimacao().'" >';
        $hrefUnidade .=  PaginaSEI::tratarHTML(PaginaSEI::tratarHTML($arrObjResultDTO[$i]->getStrSiglaUnidadeIntimacao()));
        $hrefUnidade .= '</a>';

        //Unidade Geradora da Intimacao
        $strResultado .= '<td align="center">';
        $strResultado .=  $hrefUnidade;
        $strResultado .= '</td>';

        //Data de Expedicao
        $strResultado .= '<td align="center">';
        $strResultado .= PaginaSEI::tratarHTML($arrObjResultDTO[$i]->getDthDataCadastro());
        $strResultado .= '</td>';

        //Situacao da Intimacao
        $strResultado .= '<td>';
        $strResultado .= PaginaSEI::tratarHTML($arrObjResultDTO[$i]->getStrSituacaoIntimacao());
        $strResultado .= '</td>';

        //Data de Cumprimento
        $strResultado .= '<td align="center">';
        $strResultado .= PaginaSEI::tratarHTML($arrObjResultDTO[$i]->getDthDataAceite());
        $strResultado .= '</td>';

        $linkModal     =  SessaoSEI::getInstance()->assinarLink('controlador.php?acao=md_pet_int_relatorio_ht_listar&md_pet_int_rel='.$strId);
        $strResultado .= '<td align="center">';
        $strResultado .= '<a href="' . PaginaSEI::getInstance()->montarAncora($strId) . '" onclick="abrirModalHistorico(\'' . $linkModal . '\');" tabindex="' . PaginaSEI::getInstance()->getProxTabTabela() . '"><img src="imagens/documentos.gif" title="Exibir histrico da Intimao" alt="Exibir histrico da Intimao" class="infraImg" /></a>&nbsp;';
        $strResultado .= '</td>';
        $strResultado .= '</tr>';

    }
    $strResultado .= '</table>';
}








